Summary:	A sophisticated file transfer program
Name:		lftp
Version:	4.1.3
Release:	1
License:	GPLv3+
Group:		Applications/Internet
Source0:	ftp://ftp.yar.ru/lftp/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.yar.ru/lftp/%{name}-%{version}.tar.bz2.asc
URL:		http://lftp.yar.ru/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	gnutls-devel >= 2.4.0, pkg-config, readline-devel >= 5.2
BuildRequires:	gettext, gcc, gcc-c++
Requires:	gnutls >= 2.4.0, pkg-config, readline >= 5.2, gettext
Requires:	libgcc >= 4.2.3-2, libstdc++ >= 4.2.3-2

%description
LFTP is a sophisticated ftp/http file transfer program. Like bash, it has job
control and uses the readline library for input. It has bookmarks, built-in
mirroring, and can transfer several files in parallel. It is designed with
reliability in mind.

%prep
%setup -q


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

export CC="gcc -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

export CXX=g++
export CXXFLAGS=${CFLAGS}

export LD=ld
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --with-gnutls
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc BUGS COPYING ChangeLog FAQ FEATURES README* NEWS THANKS TODO
%config(noreplace) %{_sysconfdir}/lftp.conf
%{_bindir}/*
%{_mandir}/man?/*
%{_libdir}/lib%{name}*
%{_datadir}/%{name}
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Fri Feb 11 2011 Michael Perzl <michael@perzl.org> - 4.1.3-1
- updated to version 4.1.3

* Mon Jan 10 2011 Michael Perzl <michael@perzl.org> - 4.1.2-1
- updated to version 4.1.2

* Fri Nov 26 2010 Michael Perzl <michael@perzl.org> - 4.1.1-1
- updated to version 4.1.1

* Tue Nov 23 2010 Michael Perzl <michael@perzl.org> - 4.1.0-1
- updated to version 4.1.0

* Sat Sep 04 2010 Michael Perzl <michael@perzl.org> - 4.0.10-1
- updated to version 4.0.10

* Mon Jul 02 2010 Michael Perzl <michael@perzl.org> - 4.0.9-2
- removed dependency on gettext >= 0.17

* Mon Jun 21 2010 Michael Perzl <michael@perzl.org> - 4.0.9-1
- updated to version 4.0.9

* Fri May 28 2010 Michael Perzl <michael@perzl.org> - 4.0.8-1
- updated to version 4.0.8
- fixed the large files issue (no more patch required)

* Thu Jan 07 2010 Michael Perzl <michael@perzl.org> - 4.0.5-1
- updated to version 4.0.5

* Thu Dec 17 2009 Michael Perzl <michael@perzl.org> - 4.0.4-1
- updated to version 4.0.4

* Fri Dec 11 2009 Michael Perzl <michael@perzl.org> - 4.0.3-1
- updated to version 4.0.3

* Mon Sep 21 2009 Michael Perzl <michael@perzl.org> - 4.0.1-1
- updated to version 4.0.1

* Thu Aug 27 2009 Michael Perzl <michael@perzl.org> - 3.7.15-1
- updated to version 3.7.15

* Fri Jun 26 2009 Michael Perzl <michael@perzl.org> - 3.7.13-1
- updated to version 3.7.13

* Mon Mar 30 2009 Michael Perzl <michael@perzl.org> - 3.7.11-1
- first version for AIX V5.1 and higher
